using BPA.Message.Enum;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace BPASmartClient.CustomResource.Converters
{
    public class TextConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            string Text = string.Empty;
            switch ((ORDER_STATUS)value)
            {
                case ORDER_STATUS.WAIT:
                    Text = "等待制作";
                    break;
                case ORDER_STATUS.COOKING:
                    Text = "开始制作";
                    break;
                case ORDER_STATUS.COMPLETED_COOK:
                    Text = "等待取餐";
                    break;
                case ORDER_STATUS.COMPLETED_TAKE:
                    Text = "取餐完成";
                    break;
                case ORDER_STATUS.ERR_NOT_REPLY_WHEN_COOKING:
                    Text = "制作超时";
                    break;
                default:
                    break;
            }
            return Text;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
